<form action="#" method="post">
    <table class="form-table">
        <tbody>

            <?php

                $field->add('text',
                    array(
                        'label' => esc_html__('Label For Full Name', 'wp-any-contact-us'),
                        'name'  => 'wacu_contact_medium[email][label][full_name]',
                        'value' => esc_attr($wacu_contact_medium['email']['label']['full_name']),
                    )
                );

                $field->add('text',
                    array(
                        'label' => esc_html__('Label For Email Address', 'wp-any-contact-us'),
                        'name'  => 'wacu_contact_medium[email][label][email_address]',
                        'value' => esc_attr($wacu_contact_medium['email']['label']['email_address']),
                    )
                );

                $field->add('text',
                    array(
                        'label' => esc_html__('Label For Email Message', 'wp-any-contact-us'),
                        'name'  => 'wacu_contact_medium[email][label][message]',
                        'value' => esc_attr($wacu_contact_medium['email']['label']['message']),
                    )
                );

                $field->add('text',
                    array(
                        'label' => esc_html__('Label For Button', 'wp-any-contact-us'),
                        'name'  => 'wacu_contact_medium[email][label][button]',
                        'value' => esc_attr($wacu_contact_medium['email']['label']['button']),
                    )
                );

            ?>

        </tbody>
    </table>

    <hr>

    <table class="form-table">
        <tbody>

            <?php

                $field->add('text',
                    array(
                        'label'   => esc_html__('Label For Email', 'wp-any-contact-us'),
                        'name'    => 'wacu_contact_medium[email][label][label]',
                        'value'   => esc_attr($wacu_contact_medium['email']['label']['label']),
                        'tooltip' => esc_attr__('Enter the label for Email.', 'wp-any-contact-us'),
                    )
                );

                $field->add('text',
                    array(
                        'label'   => esc_html__('Email Description', 'wp-any-contact-us'),
                        'name'    => 'wacu_contact_medium[email][desc]',
                        'value'   => esc_attr($wacu_contact_medium['email']['desc']),
                        'tooltip' => esc_attr__('Enter the description for email.', 'wp-any-contact-us'),
                    )
                );

            ?>

        </tbody>
    </table>

    <hr>

    <table class="form-table">
        <tbody>

            <?php

                $field->add('text',
                    array(
                        'label'   => esc_html__('Email Subject', 'wp-any-contact-us'),
                        'name'    => 'wacu_contact_medium[email][email][subject]',
                        'value'   => esc_attr($wacu_contact_medium['email']['email']['subject']),
                        'tooltip' => esc_attr__('Enter the subject of an email.', 'wp-any-contact-us'),
                        'desc'    => sprintf(esc_html__('use tag %1$s for Full name.', 'wp-any-contact-us'), '<code>{{name}}</code>'),
                    )
                );

                $field->add('wp_editor',
                    array(
                        'id'      => 'wacu_contact_medium_email_body',
                        'label'   => esc_html__('Email Body', 'wp-any-contact-us'),
                        'name'    => 'wacu_contact_medium[email][email][body]',
                        'value'   => wp_kses_post($wacu_contact_medium['email']['email']['body']),
                        'tooltip' => esc_attr__('Enter the body of an email.', 'wp-any-contact-us'),
                        'desc'    => sprintf(wp_kses_post(__('use tag %1$s for Full name.<br>use tag %2$s for Email.<br>use tag %3$s for Message.', 'wp-any-contact-us')), '<code>{{name}}</code>', '<code>{{email}}</code>', '<code>{{message}}</code>'),
                    )
                );

                $field->add('text',
                    array(
                        'label'   => esc_html__('Email To', 'wp-any-contact-us'),
                        'name'    => 'wacu_contact_medium[email][email][to]',
                        'value'   => esc_attr($wacu_contact_medium['email']['email']['to']),
                        'tooltip' => esc_attr__('Enter the email address where you want to receive an email.', 'wp-any-contact-us'),
                        'desc'    => esc_html__('use comma (,) separator for multiple emails.', 'wp-any-contact-us'),
                    )
                );

            ?>

        </tbody>
    </table>

    <hr>

    <table class="form-table">
        <tbody>

            <?php
                $field->add('wp_editor',
                    array(
                        'id'      => 'wacu_contact_medium_thank_you_message',
                        'label'   => esc_html__('Thank You Message', 'wp-any-contact-us'),
                        'name'    => 'wacu_contact_medium[email][thank_you_message]',
                        'value'   => wp_kses_post($wacu_contact_medium['email']['thank_you_message']),
                        'tooltip' => esc_attr__('Enter the thank you message for the visitor or user.', 'wp-any-contact-us'),
                        'desc'    => sprintf(esc_html__('use tag %1$s for Full name.', 'wp-any-contact-us'), '<code>{{name}}</code>'),
                    )
                );
            ?>

        </tbody>
    </table>

<?php submit_button(esc_attr__('Save Changes', 'wp-any-contact-us'), 'primary', 'wacu_contact_medium_submit');?>

</form>